Subject: "Designators" for Form view helper
Description

    -  FormViewHelper needs a new argument "designator" / "namespace" 
    -  Extbase will set the default value for this argument to "tx_extensionname_pluginname" 
    -  All Form view helpers inside a form will inherit this namespace

so:

<f:form>
    <f:form.textbox name="firstName" />
</f:form>

gets

<form action="...">
    <input type="text" name="tx_extensionname_pluginname[firstName]" value="" />
</form>

and

<f:form object="{customer}">
    <f:form.textbox property="firstName" />
    <f:form.textbox name="foo" />
</f:form>

gets

<form action="...">
    <input type="hidden" name="tx_extensionname_pluginname[customer][uid]" value="123" />
    <input type="text" name="tx_extensionname_pluginname[customer][firstName]" value="Kasper" />
    <input type="text" name="tx_extensionname_pluginname[foo]" value="" />
</form>

and finally

<f:form object="{customer}" namespace="tx_ttnews">
    <f:form.textbox property="firstName" />
    <f:form.textbox name="foo" />
</f:form>
gets

<form action="...">
    <input type="hidden" name="tx_ttnews[customer][uid]" value="123" />
    <input type="text" name="tx_ttnews[customer][firstName]" value="Kasper" />
    <input type="text" name="tx_ttnews[foo]" value="" />
</form>

Problem: namespace/designator can't be set to "" because then the default value would be used.. So it wouldn't be possible to output:

<input type="text" name="id" value="123" />

Related issues:
related to TYPO3.Fluid - Feature # 1907: Default values for view helpers base... New 2008-10-29

Associated revisions
Revision 35083ea4 - 2009-08-31 19:22 - Bastian Waidelich

[FEATURE] Fluid (ViewHelpers): Added checkbox and radio form viewHelpers. Resolves #3661
[FEATURE] Fluid (ViewHelpers): Added fieldNamePrefix to FormViewHelper as a preparation for namespaced forms. Relates to #3717
[TASK] Fluid (ViewHelpers): Tweaked and refactored FormViewHelper by splitting up the huge render() method into smaller chunks
[TASK] Fluid (ViewHelpers): Refactored form field viewHelpers by splitting AbstractFormViewHelper into AbstractFormViewHelper and
AbstractFormFieldViewHelper
[TASK] Fluid (Tests): Streamlined some viewHelper tests and added mock request to ViewHelperBaseTestcase to ease creation of viewHelper unit
tests
[TASK] Fluid (Tests): "Forwardported" a unit test from Jochen (in TemplateParserTest)

History
#1 - 2009-08-31 10:06 - Bastian Waidelich
- Assigned To set to Bastian Waidelich
- % Done changed from 0 to 90

#2 - 2009-09-15 16:29 - Bastian Waidelich
- Status changed from New to Resolved

This is already implemented.
In FLOW3 the "designator" is not used by default yet.
